<ng-container
    *ngIf="{
        studentExercise: (studentExercise$ | async),
        exerciseStepStatuses: (exerciseStepStatuses$ | async)
    } as local"
>
    <div 
        class="exercise-create-steps"
        *ngIf="local.studentExercise"
    >
        <ui-header
            [title]="'exercise-set-state.title' | translate"
            [hasBackButton]="true"
            (backButtonIsClicked)="navigateToHome()"
        ></ui-header>
        <h2>
            {{'exercise-create-steps.exercise-info' | translate}}
        </h2>        
        <span>{{'exercise-create-steps.exercise' | translate}}: <b>{{local.studentExercise.name}}</b> </span>
        <span>{{'exercise-create-steps.course' | translate}}: <b>{{local.studentExercise.coursefullname}}</b> </span>
        <span class="last-span">{{'home.submission-until' | translate}} {{local.studentExercise.duedate*1000 | date: 'dd.MM.yyyy'}} {{'home.submission-at'|translate}} {{local.studentExercise.duedate*1000  | date: 'hh:mm'}} {{'home.submission-clock'|translate}}.</span>
        <h2 class="title-set-state">
            {{'exercise-set-state.title-set-state' | translate}}
        </h2>  
        <ng-container
            *ngFor="let step of local.exerciseStepStatuses; index as i;"
        >
            <ui-divider
                *ngIf="step"
                [topInfoText]="('exercise-set-state.step' | translate) + (i+1)"
                [centerInfoText]="step.name?? ''"
                [icon]="'arrow-right'"
                [clickable]="true"
                [status]="step.status"
                (isClicked)="navigateToStepSetState(step.exerciseStepId)"
            ></ui-divider>
        </ng-container>
    </div>

</ng-container>

<ui-loading-overlay
    *ngIf="loading$ | async"
></ui-loading-overlay>